BytecodeInterface8 (groovy 2.4.6 API)
Date: 2016-02-18

Package: org.codehaus.groovy.runtime

## [Java] Class BytecodeInterface8

- org.codehaus.groovy.runtime.BytecodeInterface8

- This class contains methods special to optimizations used directly from bytecode in Groovy 1.8

  Authors:
    Jochen "blackdrag" Theodorou

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static byte` | `bArrayGet(byte[] a, int i)` get value from byte[] using normalized index
    `static void` | `bArraySet(byte[] a, int i, byte v)` set value from byte[] using normalized index
    `static char` | `cArrayGet(char[] a, int i)` get value from char[] using normalized index
    `static void` | `cArraySet(char[] a, int i, char v)` set value from char[] using normalized index
    `static double` | `dArrayGet(double[] a, int i)` get value from double[] using normalized index
    `static void` | `dArraySet(double[] a, int i, double v)` set value from double[] using normalized index
    `static boolean` | `disabledStandardMetaClass()`
    `static float` | `fArrayGet(float[] a, int i)` get value from float[] using normalized index
    `static void` | `fArraySet(float[] a, int i, float v)` set value from float[] using normalized index
    `static int` | `intArrayGet(int[] a, int i)` get value from int[] using normalized index
    `static void` | `intArraySet(int[] a, int i, int v)` set value from int[] using normalized index
    `static boolean` | `isOrigB()` @return true if byte has its default MetaClass
    `static boolean` | `isOrigBArray()` @return true if byte array has its default MetaClass
    `static boolean` | `isOrigC()` @return true if char has its default MetaClass
    `static boolean` | `isOrigCArray()` @return true if char array has its default MetaClass
    `static boolean` | `isOrigD()` @return true if double has its default MetaClass
    `static boolean` | `isOrigDArray()` @return true if double array has its default MetaClass
    `static boolean` | `isOrigF()` @return true if float has its default MetaClass
    `static boolean` | `isOrigFArray()` @return true if float array has its default MetaClass
    `static boolean` | `isOrigInt()` @return true if integer has its default MetaClass
    `static boolean` | `isOrigIntArray()` @return true if integer array has its default MetaClass
    `static boolean` | `isOrigL()` @return true if long has its default MetaClass
    `static boolean` | `isOrigLArray()` @return true if long array has its default MetaClass
    `static boolean` | `isOrigS()` @return true if short has its default MetaClass
    `static boolean` | `isOrigSArray()` @return true if short array has its default MetaClass
    `static boolean` | `isOrigZ()` @return true if boolean has its default MetaClass
    `static boolean` | `isOrigZArray()` @return true if boolean array has its default MetaClass
    `static long` | `lArrayGet(long[] a, int i)` get value from long[] using normalized index
    `static void` | `lArraySet(long[] a, int i, long v)` set value from long[] using normalized index
    `static Object` | `objectArrayGet(Object[] a, int i)`
    `static void` | `objectArraySet(Object[] a, int i, Object v)` set value from double[] using normalized index
    `static short` | `sArrayGet(short[] a, int i)` get value from short[] using normalized index
    `static void` | `sArraySet(short[] a, int i, short v)` set value from short[] using normalized index
    `static boolean` | `zArrayGet(boolean[] a, int i)` get value from boolean[] using normalized index
    `static void` | `zArraySet(boolean[] a, int i, boolean v)` set value from boolean[] using normalized index

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public static byte bArrayGet(byte[] a, int i)

      get value from byte[] using normalized index

    - #### public static void bArraySet(byte[] a, int i, byte v)

      set value from byte[] using normalized index

    - #### public static char cArrayGet(char[] a, int i)

      get value from char[] using normalized index

    - #### public static void cArraySet(char[] a, int i, char v)

      set value from char[] using normalized index

    - #### public static double dArrayGet(double[] a, int i)

      get value from double[] using normalized index

    - #### public static void dArraySet(double[] a, int i, double v)

      set value from double[] using normalized index

    - #### public static boolean disabledStandardMetaClass()

    - #### public static float fArrayGet(float[] a, int i)

      get value from float[] using normalized index

    - #### public static void fArraySet(float[] a, int i, float v)

      set value from float[] using normalized index

    - #### public static int intArrayGet(int[] a, int i)

      get value from int[] using normalized index

    - #### public static void intArraySet(int[] a, int i, int v)

      set value from int[] using normalized index

    - #### public static boolean isOrigB()

      Returns:
        true if byte has its default MetaClass

    - #### public static boolean isOrigBArray()

      Returns:
        true if byte array has its default MetaClass

    - #### public static boolean isOrigC()

      Returns:
        true if char has its default MetaClass

    - #### public static boolean isOrigCArray()

      Returns:
        true if char array has its default MetaClass

    - #### public static boolean isOrigD()

      Returns:
        true if double has its default MetaClass

    - #### public static boolean isOrigDArray()

      Returns:
        true if double array has its default MetaClass

    - #### public static boolean isOrigF()

      Returns:
        true if float has its default MetaClass

    - #### public static boolean isOrigFArray()

      Returns:
        true if float array has its default MetaClass

    - #### public static boolean isOrigInt()

      Returns:
        true if integer has its default MetaClass

    - #### public static boolean isOrigIntArray()

      Returns:
        true if integer array has its default MetaClass

    - #### public static boolean isOrigL()

      Returns:
        true if long has its default MetaClass

    - #### public static boolean isOrigLArray()

      Returns:
        true if long array has its default MetaClass

    - #### public static boolean isOrigS()

      Returns:
        true if short has its default MetaClass

    - #### public static boolean isOrigSArray()

      Returns:
        true if short array has its default MetaClass

    - #### public static boolean isOrigZ()

      Returns:
        true if boolean has its default MetaClass

    - #### public static boolean isOrigZArray()

      Returns:
        true if boolean array has its default MetaClass

    - #### public static long lArrayGet(long[] a, int i)

      get value from long[] using normalized index

    - #### public static void lArraySet(long[] a, int i, long v)

      set value from long[] using normalized index

    - #### public static Object objectArrayGet(Object[] a, int i)

    - #### public static void objectArraySet(Object[] a, int i, Object v)

      set value from double[] using normalized index

    - #### public static short sArrayGet(short[] a, int i)

      get value from short[] using normalized index

    - #### public static void sArraySet(short[] a, int i, short v)

      set value from short[] using normalized index

    - #### public static boolean zArrayGet(boolean[] a, int i)

      get value from boolean[] using normalized index

    - #### public static void zArraySet(boolean[] a, int i, boolean v)

      set value from boolean[] using normalized index